﻿@using Microsoft.AspNetCore.Authorization
@using Ngochau.Web.Authorization
@inject IAuthorizationService AuthorizationService
@{
    Layout = "~/Areas/Cpanel/Views/Shared/_Layout.cshtml";
    var resultCreate = await AuthorizationService.AuthorizeAsync(User, "SettingUser", Operations.Create);
    var resultUpdate = await AuthorizationService.AuthorizeAsync(User, "SettingUser", Operations.Update);
    var resultDelete = await AuthorizationService.AuthorizeAsync(User, "SettingUser", Operations.Delete);
}
@section Scripts{
    <script src="/lib/template-admin/ckeditor/ckeditor.js"></script>
    <script src="/controller/product/product.js" asp-append-version="true"></script>
}

    @section Styles{
    <link href="/lib/template-admin/ckeditor/skins/moono/editor.css" rel="stylesheet" />
    <style>
        .form-check {
            margin-bottom: 5px !important;
        }

        .form-check-input {
            cursor: pointer;
        }
    </style>
}
    <div class="container-fluid">

        <!-- start page title -->
        <div class="row">
            <div class="col-12">
                <div class="page-title-box">
                    <div class="page-title-right">
                        <ol class="breadcrumb m-0">
                            <li class="breadcrumb-item"><a href="javascript: void(0);">HAT Soft</a></li>
                            <li class="breadcrumb-item"><a href="javascript: void(0);">Danh mục</a></li>
                            <li class="breadcrumb-item active">Sản phẩm</li>
                        </ol>
                    </div>
                    <h4 class="page-title">Thêm mới sản phẩm</h4>
                </div>
            </div>
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        @{
                        if (resultCreate.Succeeded)
                        {
                            <a id="submit-create" class="btn btn-success"><i class="uil-plus-circle"></i>&nbsp; Lưu</a>
                            <a id="submit-create-new" class="btn btn-outline-success"><i class="uil-plus-circle"></i>&nbsp; Lưu & thêm mới</a>
                            <a id="submit-create-close" class="btn btn-outline-success"><i class="mdi mdi-window-close"></i>&nbsp; Lưu & Đóng</a>
                        }
                    }
                    <a href="/cpanel/product/index" class="btn btn-outline-secondary"><i class="mdi mdi-window-close"></i>&nbsp; Đóng</a>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-6">
            <div class="card">
                <div class="card-body">
                    <h4 class="header-title">Thông tin chung</h4>
                    <p class="text-muted font-14">
                        Điền đầy đủ thông sản phẩm
                    </p>
                    <form class="needs-validation" id="frmProduct" novalidate>

                        <div class="mb-3">
                            <label for="txtSKU" class="form-label">Mã SKU</label>
                            <input type="text" id="txtSKU" name="txtSKU" class="form-control" placeholder="Mã SKU" required>
                            <input type="hidden" id="txtId" name="txtId" class="form-control">
                        </div>

                        <div class="mb-3">
                            <label for="txtBarCode" class="form-label">Mã BarCode</label>
                            <input type="text" id="txtBarCode" name="txtBarCode" class="form-control" placeholder="Mã BarCode" required>
                        </div>

                        <div class="mb-3">
                            <label for="txtName" class="form-label">Tên sản phẩm</label>
                            <input type="text" id="txtName" name="txtName" class="form-control" placeholder="Tên danh mục" required>
                            <div class="invalid-feedback">
                                Tên danh mục không được bỏ trống.!
                            </div>
                        </div>

                        <div class="mb-3">
                            <label for="txtDescShort" class="form-label">Mô tả ngắn</label>
                            <textarea rows="3" onkeyup="ParseDesc(this);" onblur="ParseDesc(this);" name="txtDescShort" class="form-control" id="txtDescShort"></textarea>
                        </div>

                        <div class=" mb-3">
                            <div class="form-check">
                                <input type="checkbox" class="form-check-input" checked="checked" id="chkActive">
                                <label class="form-check-label" for="chkActive">Hoạt động / Khóa</label>
                            </div>
                        </div>
                    </form>

                </div> <!-- end card-body -->
            </div>
            
            
        </div>
        <div class="col-lg-6">
            <div class="card">
                <div class="card-body">
                    <h4 class="header-title">Thông tin hình đại diện</h4>
                    <p class="text-muted font-14">
                        Hình đại diện cho danh mục
                    </p>
                    <form class="needs-validation" id="frmCategory" novalidate>
                        <div class="mb-3">
                            <label class="form-label">Chọn hình đại diện</label>
                            <input class="form-control" type="file" id="fileImage">
                            <input class="form-control" type="hidden" id="txtHiddenImageUrl">
                            <div class="invalid-feedback" id="errorfileImage"></div>
                        </div>
                    </form>

                </div>
            </div>

            <div class="card">
                <div class="card-body">
                    <h4 class="header-title">Soạn thảo nội dung</h4>
                    <p class="text-muted font-14">
                        Mô tả chi tiết thông tin sản phẩm của bạn
                    </p>
                    <div class="mb-3">
                        <label for="txtContent" class="form-label">Nội dung</label>
                        <textarea rows="3" name="txtContent" class="form-control" id="txtContent"></textarea>
                    </div>
                </div>
            </div>
        </div>

    </div>
</div>







